Subject: Re: bug#13255: 24.2.50; output in nonvisible shell buffer changes prompt

From: Glenn Morris <[email-masked]>
Date: Sat, 22 Dec 2012 22:33:29 -0500

Richard Stallman wrote:

> I have a shell buffer with a program sending lots of output.
> That buffer is not currently displayed.  I type C-h, and it prompts.
> So far, so good.
>
> The bug is that the prompt changes repeatedly.  A space gets added at
> the beginning and the hyphen disappears at the end.  Then the space
> disappears and the hyphen reappears.  This oscillation continues
> indefinitely at the rate of 3 or 4 changes per second.

I don't see this. What I see (24.2.91) is:

emacs -Q -f shell

;; run this in shell buffer
while : ; do
 sleep 0.5
 echo hi
done

C-x b *scratch* RET
C-h

So long as the shell is looping, I get no C-h prompt at all.
If I interrupt the loop, I get the intended:

C-h (Type ? for further options)-